CIF_COD_NUMBERS(1)

NAME
cif_cod_numbers - find COD numbers for the CIF files in given directories of file lists.

SYNOPSIS
cif_cod_numbers --options input1.cif input*.cif

DESCRIPTION
Find COD numbers for the CIF files in given directories of file lists.

OPTIONS
--platform 'SQLite'
                  Use the SQL database platform 'SQLite' to query structures
                  (default: 'mysql').

-d, --database cod
                  Use database "cod" to query for structures.

-h, --host www.crystallography.net

-s, --server www.crystallography.net
                  Query COD database on the host 'www.crystallography.net'.

-l, --localhost
                  Use database server on the localhost to query the
                  COD database.

-p, --port 3306
                  Use the specified port to query structures
                  (default: 3306).

-t, --table data
                  Use SQL table "data" to query for structures.

-u, --user cod_reader
                  Use user name "cod_reader" to access the COD database.
                  This user should have at least the SELECT privilege,
                  i.e. should be able to read the COD database without
                  supplying a password.

--password
                  Use the specified password to connect (default: '').

-P, --print-datablock-name
                  Print data block name as the fifth column.

-P-, --no-print-datablock-name, --dont-print-datablock-name
                  Do not print data block names (default).

-S, --series 9
                  Check only COD entries starting with 9 (so called 9* series).
                  Default: check the whole COD database. Set series to
                  "" (empty string) to restore the default behaviour.

--max-cell-length-difference 0.5
                  Maximum difference of unit cell lengths allowed
                  for entries regarded as the same, in angstroms
                  (default: 0.5).

--max-cell-angle-difference 1.2
                  Maximum difference of unit cell angles allowed for
                  entries regarded as the same, in angstroms
                  (default: 1.2).

--check-bibliography
                  Only CIFs that have different bibliography data are
                  declared different if all other parameters match
                  CIFs with missing bibliographies are assumed to
                  have matching bibliographies (default).

--no-check-bibliography, --dont-check-bibliography
                  Ignore bibliographic data of all CIFs; thus even files
                  with different bibliographies will be regarded the same
                  if their cells, chemical formulae and measurement
                  conditions match.

--use-sigma, --no-ignore-sigma, --dont-ignore-sigma
                  Use standard deviations (sigmas) when comparing unit
                  cell constants (default).

--no-use-sigma, --dont-use-sigma, --ignore-sigma
                  Ignore standard deviations (sigmas) when comparing unit
                  cell constants.

--check-sample-history
                  Only CIFs that have different sample history data
                  (as recorded in the _exptl_crystal_thermal_history
                  and _exptl_crystal_pressure_history tags) are declared
                  different if all other parameters match.

--no-check-sample-history,

--dont-check-sample-history,

--disregard-sample-history
                  Ignore sample history of all CIFs; thus even files
                  with different sample histories will be regarded the
                  same if their cells, chemical formulae and measurement
                  conditions match (default).

--check-compound-source
                  Only CIFs that have different compound source
                  (as recorded in the _chemical_compound_source)
                  are declared different if all other parameters
                  match.

--no-check-compound-source,

--dont-check-compound-source,

--disregard-compound-source
                  Ignore compound source of all CIFs; thus even files
                  with different compound sources will be regarded the
                  same if other conditions match (default).

--use-attached-hydrogens
                  Include number of implicit hydrogens, specified using
                  _atom_site_attached_hydrogens tag, into the formula
                  sum (default).

--no-use-attached-hydrogens,

--dont-use-attached-hydrogens,

--ignore-attached-hydrogens
                  Ignore number of implicit hydrogens, specified using
                  _atom_site_attached_hydrogens tag, in calculation of
                  the formula sum.

--use-perl-parser
                  Use the Perl-only CIF parser.

--use-c-parser
                  Use the speed-optimised C/Perl parser (default).

--cif-input
                  Use CIF format for input (default).

--json-input
                  Use JSON format for input.

--help, --usage
                  Output a short usage message (this message) and exit.

--version
                  Output version information and exit.

REPORTING BUGS
Report cif_cod_numbers bugs using e-mail: cod-bugs@ibt.lt